//global styles

@import url("https://fonts.googleapis.com/css?family=Lato:400,700|Nunito:400,700");

$turquoise: #44ddd0;
$green: #27d7a1;

$turquoise-bg: #6eddd4;
$green-bg: #6bd6b6;

$light-green: #45f69e;
$dark-green: rgb(0, 100, 80);

$light-red: #fff3f3;

$light: #f8f8f8;

//Update Bulma;s global variables

$family-sans-serif: "Nunito", sans-serif;
$primary: $green;

$link: $turquoise;

// Update some of Bulma's component variables

$control-border-width: 2px;
$input-border-color: transparent;
$input-shadow: none;
$input-border-color: transparent;
$input-backgroung-color: #f3f5fa;

html {
  background: linear-gradient(to right top, $turquoise-bg, $green-bg);
  background-attachment: fixed;
}

html,
body {
  height: 100%;
}

.main-container {
  display: flex;
  flex-direction: column;

  width: 500px;
  min-width: 50%;
  max-width: 70%;

  margin: auto;
  padding-top: 50px;
}

h1 {
  font-size: 30px;
  font-weight: bold;
}



.info-container {
  margin: 25px 0px;
  position: relative;
  background: white;
  border-radius: 5px;

  box-shadow: 0 2px 15px 2px rgba(black, 0.07);
  transition: box-shadow 0.2s ease-in-out;
  

  &:hover {
      cursor: pointer;
      box-shadow: 0 0px 0px 4px rgba(black, 0.07);

      .x-button {
          opacity: 1;
          transform: scale(1);
          
          transition-delay: 0.35s;

      }
  }

  .info-content {
      padding: 25px;


      .info-title {
          font-size:  22px;
          font-weight:  bold;
          color: $green;
      }
      .info-body {
          margin-left: 50px;
      }

  }
}

.x-button {
  position: absolute;
  top: 12px;
  right: 12px;

  height: 35px;
  width: 35px;

  background-color:   $light-red;

  justify-content: center;
  text-align: center;
  font-size: 25px;
  color: red; 

  border-radius: 4px;

  opacity: 0;
  transition: opacity 0.2s ease-in-out, transform 0.2s ease-out;
  transform: scale(0.35);

  &:hover {
      background-color: darken($light-red, 3%);
  }

  &:active {
      background-color: darken($light-red, 5%);
  }
}
